#ifndef DEVEL__MKMED__CONST_H
#define DEVEL__MKMED__CONST_H

#define die1(x_sys, status, x1) \
  ((void)(""==(x1)), \
   strerr_die1##x_sys((status), (char*)(x1)))

#define die2(x_sys, status, x1, x2) \
  ((void)(""==(x1)), (void)(""==(x2)), \
   strerr_die2##x_sys((status), (char*)(x1), (char*)(x2)))

#define die3(x_sys, status, x1, x2, x3) \
  ((void)(""==(x1)), (void)(""==(x2)), (void)(""==(x3)), \
   strerr_die3##x_sys((status), (char*)(x1), (char*)(x2), (char*)(x3)))

#define die4(x_sys, status, x1, x2, x3, x4) \
  ((void)(""==(x1)), (void)(""==(x2)), (void)(""==(x3)), (void)(""==(x4)), \
   strerr_die4##x_sys((status), (char*)(x1), (char*)(x2), (char*)(x3), \
                      (char*)(x4)))

#define die5(x_sys, status, x1, x2, x3, x4, x5) \
  ((void)(""==(x1)), (void)(""==(x2)), (void)(""==(x3)), (void)(""==(x4)), \
   (void)(""==(x5)), \
   strerr_die5##x_sys((status), (char*)(x1), (char*)(x2), (char*)(x3), \
                      (char*)(x4), (char*)(x5)))

#define die6(x_sys, status, x1, x2, x3, x4, x5, x6) \
  ((void)(""==(x1)), (void)(""==(x2)), (void)(""==(x3)), (void)(""==(x4)), \
   (void)(""==(x5)), (void)(""==(x6)), \
   strerr_die6##x_sys((status), (char*)(x1), (char*)(x2), (char*)(x3), \
                      (char*)(x4), (char*)(x5), (char*)(x6)))

#define envget(x) \
  ((void)(""==x), env_get((char*)x+1))

#define scan_ulong(x, var) \
  ((void)(""==x), scan_ulong((char*)x, var))

#endif
